NNMi 10.0x Release Notes Updates

Last Updated: 08 May, 2018

This document contains updates to the release notes for HPE Network Node Manager i Software (NNMi) 10.0x. You can also check for online NNMi 10.0x support matrix updates or the device support matrix.

Other useful links include the following:


The following list contains NNMi 10.0x update information:



01/31/2018: Installation prerequisite on Linux

On Linux, before installing NNMi, make sure that Asynchronous Input/Output (AIO) is enabled.



05/20/2017: User created by the NNMi installation


The NNMi installation creates the nmsdbmgr user. Do not change the privileges of this user.

.


02/09/2017: The hostedOn attribute

The hostedOn attribute in the Interface Group filter references the host name of the node.


02/09/2017: Oracle database requirement

The Oracle user that is configured to work with NNMi should have the following permission (in addition to all the permissions listed in the Understanding Oracle Requirements section in the NNMi Interactive Installation Guide):

SELECT ANY DICTIONARY

If you do not grant the SELECT ANY DICTIONARY permission, NNMi does not show any information in the Health tab (under the Help > System Information menu).


09/20/2016: Installing NNMi 10.00 and NNMi 10.00 Patch 3 (or Higher) Together

The wizard-based installation of NNMi fails when you try to install NNMi 10.00 and NNMi 10.00 Patch 3 (or higher) together (using the Specify Patches option).

This problem occurs only when you choose to use the embedded database.

Workaround: Install NNMi 10.00 by using the installation wizard, install the patch NNM1000L_00023 (Linux) or NNM1000W_00023 (Windows), and then install the NNMi 10.00 Patch 3 (or higher).


09/20/2016: Command line utility error

After installing NNMi 10.00 Patch 3 (or higher), some command line utilities of NNMi may fail to work and show the following error message in the command line console:

Can't locate OVNNMvars.pm in @INC

Note: This error message appears only after installing another HPE Software products on the NNMi management server or upgrading one of the coexisting HPE Software products.

Workaround:

Run the following command:

 


09/20/2016: nnmlicense.ovpl error

After installing NNMi 10.00 Patch 3, the nnmlicense.ovpl utility shows the following error message in the command line console:

 Undefined subroutine &main::codepageLookup called at /opt/OV/bin/nnmlicense.ovpl line 149.

Workaround:

  1. Run the following command:
    /opt/OV/nonOV/perl/a/bin/perl –V
  2. If the command output displays 5.16.0, copy the /opt/OV/NmsPatch/NNM1000L00003/opt/OV/newconfig/HPNmsCommon/perl/a/lib/site_perl/OVNNMvars.pm file to the /opt/OV/nonOV/perl/a/lib/site_perl/site_perl/5.16.0 directory.
  3. If the command output displays 5.8.8, copy the /opt/OV/NmsPatch/NNM1000L00003/opt/OV/newconfig/HPNmsCommon/perl/a/lib/site_perl/OVNNMvars.pm file to the /opt/OV/nonOV/perl/a/lib/site_perl/5.8.8 directory.

09/20/2016: Upgrading NNMi 10.00 Patch 3 (or Higher) to NNMi 10.10

If you want to upgrade NNMi 10.00 (with Patch 3 or higher) to version10.10 , make sure to perform the following tasks (in the given order) immediately after the management server is upgraded to NNMi 10.10:

  1. Apply the patch NNM1010L_00026 (Linux) or NNM1010W_00026 (Windows).
  2. Run the following command:
    • On Windows: %nnminstalldir%\support\perlUtilityHotfix\OVUtilRemove.ovpl
    • On Linux: /opt/OV/support/perlUtilityHotfix/OVUtilRemove.ovpl


 

09/24/2015: Multi-Chassis Node Expansion on Maps

Whenever you expand or collapse the multi-chassis nodes, the layout of the map changes. To view the same layouts later, you must save the respective maps.


09/24/2015: NNMi integrations using SSL

Before installing the NNMi 10.0x patch 2, make sure that the SSL certificates used contain an Fully Qualified Domain Name (FQDN) instead of DNS (Domain Name Server) short names or localhost. For information about configuring an FQDN, refer to NNMi 10 patch 2: Pre-requisite for NNMi integrations during SSL configurations . .


08/14/2015: Path View Limitation

Path View or Smart Path doesn't work in a multi-tenant environment.


02/02/2015: Windows Server 2012 and Windows Server 2012 R2 with High Availability(HA)

If you are using Windows Server 2012 or Windows Server 2012 R2 with HA, note the following:

Note: If you are using NNM iSPI Performance for Traffic and High Availability a hotfix must also be installed. See the NNM iSPI Performance for Traffic Support Matrix  for more information.

Note: For information about installing the Failover Clustering features and tools, navigate to the See Also section and select the links associated with Deployment.


Docuementation errata


Other limitations



©Copyright 1990-2017 Hewlett Packard Enterprise Development LP